<?php
ini_set('display_errors', 1);
error_reporting(E_ERROR); 
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$para = $_REQUEST["para"];
if ($para == "N") {
    $maindb = "debmain_de";
    $file = "deboth_de.php";
} else {
    $maindb = "debmain";
    $file = "deboth.php";
}

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "2") {
        $cond = "AND vouchno = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "1") {
        $cond = "AND vouchdt = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND name= '$searchTerm'";
    }
     else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND amount= '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "2") {
        $cond = "AND vouchno LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "1") {
        $cond = "AND vouchdt LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND name LIKE '%$searchTerm%'";
    }
    else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND amount LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY vouchno";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY vouchdt";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY name";
}
else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY amount";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
} 

$query = "SELECT a.vouchno, a.voucher, a.vouchdt, a.invno, a.party, a.rem1,
          a.totbillamt, b.accode, b.name FROM `$maindb` a, `accmast` b WHERE a.`party` = b.`accode` 
          and debtype = 'O' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'vouchno' => $r['vouchno'],
        'invno' => $r['invno'],
        'vouchdt' => $r['vouchdt'],
        'name' => $r['name'],
//        'mobile' => $r['mobile'],
        'billamt' => $r['totbillamt'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
